Subject: Re: [PATCH] powerpc/64: set DSCR default initially from SPR

From: Nicholas Piggin <[email-masked]>
Date: Thu, 26 Oct 2017 00:30:20 +1000

On Wed, 25 Oct 2017 12:01:10 +0200
Michael Ellerman <[email-masked]> wrote:

> Nicholas Piggin <[email-masked]> writes:
> 
> > Take the DSCR value set by firmware as the dscr_default value,
> > rather than zero.
> >
> > POWER9 recommends DSCR default to a non-zero value.
> >
> > From: Nicholas Piggin <[email-masked]>
> > ---
> > This has a problem that OS which set the DSCR to non-default
> > then kexec to Linux will be used as our default. I send a
> > corresponding patch to skiboot which resets SPRs in opal_reinit_cpus
> > which will make this do the right thing in that case.  
> 
> That doesn't work for pseries etc.
> 
> We should reset it in the kexec down path.

Okay I'll add that too. We should have a hypercall to reset all
the state for us like opal_reinit_cpus I reckon, but restoring
it before kexec isn't a bad idea even if we had such a thing.

Thanks,
Nick